Skip to main content
Platform Operations/Platform Misc

GetPlatformHealthDetail

Retrieve detailed health breakdown of internal platform subsystems.

GET/api/v1/internal/health/detail

Operation ID

GetPlatformHealthDetail

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • collectedAt
    String

    Collected at

    Example: 2026-01-15T08:00:00Z

  • overallStatus
    String

    Overall health status of the platform process

    Example: healthy

  • databaseJson
    String

    JSON-serialized database health details

    Example: {"connected": true, "latency_ms": 5}

  • eventsubJson
    String

    JSON-serialized event subscription subsystem health

    Example: {"active_subs": 12}

  • goroutinesJson
    String

    JSON-serialized goroutine runtime statistics

    Example: {"count": 48}